﻿namespace App.Module.Sqler.Logical.DataEditor.GridManage
{

    public class AutoTempModel_Grid
    {
        /// <summary>
        /// table:  {templateName}
        /// column:  {templateName}.{columnName}
        /// </summary>
        public string id { get; set; }
        public string pid { get; set; }

        public string templateName { get; set; }

        /// <summary>
        /// table name or column name
        /// </summary>
        public string name { get; set; }
        public int sortIndex { get; set; }
        /// <summary>
        /// 是否为主键(1：是,   其他：不是)
        /// </summary>
        public int? primary_key { get; set; }

        /// <summary>
        /// 是否为自增列(1：是,   其他：不是)
        /// </summary>
        public int? autoincrement { get; set; }
 
        public string column_comment { get; set; }
 
        public string user_comment { get; set; }

        public string autoTemp_Config { get; set; }

        /// <summary>
        /// db Type
        /// </summary>
        public string column_type { get; set; }

        public string column_clr_type { get; set; }
        public int _childrenCount { get; set; }
    }


}
