var controllerConfig = {

    //"dependency": {
    //    "css": [],
    //    "js": []
    //},

    ///* 添加、修改、查看、删除 等权限,可不指定。 默认值均为true  */
    "permit": {
        "insert": false,
        "update": false,
        "show": false,
        "delete": false
    },

    "idField": "id",
    "pidField": "pid",
    "treeField": 'name',
    "rootPidValue": "0",

    "listConfig": {
        "title": "autoTemp-demo",
        "listButtons": [
            {
                "title": "执行js",
                "jsHandler": "(sender)=>{ sender.progressStart(sender.title); setTimeout(sender.progressStop,5000); }" // sender: { ...button,  progressStart,progressStop }
            },
            {
                "title": "调用接口",
                "ajax": {
                    "type": "GET",
                    "url": "/autoTemp/demo_list/getConfig"
                }
            }
        ],
        "rowButtons": [
            {
                "title": "查看id",
                "jsHandler": "(sender,id,row)=>{ sender.progressStart(sender.title); setTimeout(sender.progressStop,5000); }" // sender: { ...button,  progressStart,progressStop }
            },
            {
                "title": "调用接口",
                "ajax": {
                    "type": "GET",
                    "url": "/autoTemp/{template}/getConfig?name={id}"
                }
            }
        ]
    },


    "fields": [
        {
            "field": "name",   // db field
            "title": "装修商",  // [optional] defaultValue is column.field

            "visible": false,
            "editable": false,

            "list_config": { 
                "title": "<span title=\"装修商名称\">装修商</span>", // [optional] defaultValue is field.title
                "width": 200,
                "visible": true,
            },

            "ig_attr": {
                "ig_class": "Text",  // Text TextArea
                "ig_param": { "width": 300 }
            },

        }
    ],

    //"filterFields_TODO": [
    //    {
    //        "ig_class": "Text",
    //        "field": "name",
    //        "title": "装修商",
    //        "filterOpt": "Contains"
    //    },
    //    {
    //        "ig_class": "Text",
    //        "field": "sex",
    //        "title": "性别"
    //    },
    //    {
    //        "ig_class": "Text",
    //        "field": "random",
    //        "title": "random"
    //    }
    //]

};